## DmapRecordFactory

DmapRecordFactory — A factory for DmapRecord objects.

## Functions

DmapRecord * | dmap_record_factory_create ()

## Object Hierarchy

        GInterface
        ╰── DmapRecordFactory

## Description

DmapRecordFactory is a factory capable of creating DmapRecord objects.

## Functions

### dmap_record_factory_create ()

    DmapRecord *
    dmap_record_factory_create (DmapRecordFactory *factory,
                                gpointer user_data,
                                GError **error);

#### Parameters

factory | A DmapRecordFactory. |
user_data | Some piece of data that may be used to initialize return value. |
error | return location for a GError, or NULL. |

#### Returns

a new DmapRecord, else NULL with error set.

[transfer full]